// Generated by Selenium IDE
const { Builder, By, Key, until } = require('selenium-webdriver')
const assert = require('assert')

const {filter, setFilter} = require('../../../helper_functions/filter_helper')
const {getAllScheduleProfs} = require('../../../helper_functions/schedule_helper')

describe('Auswahl Dozent zeigt nur Module vom Dozenten', function() {
  this.timeout(30000)
  let driver
  let vars
  beforeEach(async function() {
    driver = await new Builder().forBrowser(require('../../../envHelpers').getBrowser()).build()
    vars = {}
  })
  afterEach(async function() {
    await driver.quit();
  })
  it('Auswahl Dozent zeigt nur Module vom Dozenten', async function() {
    await driver.get("http://advp44.gm.fh-koeln.de:8080/")

    await driver.manage().setTimeouts({ implicit: 3000 });

    // Set filter Lecturer to "Stefan Bente"
    await setFilter(driver, filter.PROF, "Stefan Bente")

    // Get all Profs that are shown in the calendar
    const profs = await getAllScheduleProfs(driver)

    // Check if all Profs are "Stefan Bente"
    for (let i = 0; i < profs.length; i++) {
        assert(profs[i] === "Stefan Bente")
    }
  })
})
